Skip to main content
POST
/
v1
/
directory-integration
/
scim
/
v2
/
Users
Create SCIM User
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "<string>",
    "version": "<string>"
  },
  "active": true,
  "addresses": [
    {
      "country": "<string>",
      "display": "<string>",
      "formatted": "<string>",
      "locality": "<string>",
      "postalCode": "<string>",
      "primary": true,
      "region": "<string>",
      "streetAddress": "<string>",
      "type": "<string>"
    }
  ],
  "displayName": "<string>",
  "emails": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "entitlements": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "externalId": "<string>",
  "groups": [
    {
      "display": "<string>",
      "ref": "<string>",
      "type": "DIRECT",
      "value": "<string>"
    }
  ],
  "id": "<string>",
  "ims": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "locale": "<string>",
  "name": {
    "familyName": "<string>",
    "formatted": "<string>",
    "givenName": "<string>",
    "honorificPrefix": "<string>",
    "honorificSuffix": "<string>",
    "middleName": "<string>"
  },
  "nickName": "<string>",
  "password": "<string>",
  "phoneNumbers": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "photos": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "preferredLanguage": "<string>",
  "profileUrl": "<string>",
  "roles": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "schemas": [
    "<string>"
  ],
  "timezone": "<string>",
  "title": "<string>",
  "userName": "<string>",
  "userType": "<string>",
  "x509Certificates": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>",
    "resourceType": "<string>",
    "version": "<string>"
  },
  "active": true,
  "addresses": [
    {
      "country": "<string>",
      "display": "<string>",
      "formatted": "<string>",
      "locality": "<string>",
      "postalCode": "<string>",
      "primary": true,
      "region": "<string>",
      "streetAddress": "<string>",
      "type": "<string>"
    }
  ],
  "displayName": "<string>",
  "emails": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "entitlements": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "externalId": "<string>",
  "groups": [
    {
      "display": "<string>",
      "ref": "<string>",
      "type": "DIRECT",
      "value": "<string>"
    }
  ],
  "id": "<string>",
  "ims": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "locale": "<string>",
  "name": {
    "familyName": "<string>",
    "formatted": "<string>",
    "givenName": "<string>",
    "honorificPrefix": "<string>",
    "honorificSuffix": "<string>",
    "middleName": "<string>"
  },
  "nickName": "<string>",
  "password": "<string>",
  "phoneNumbers": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "photos": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "preferredLanguage": "<string>",
  "profileUrl": "<string>",
  "roles": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "schemas": [
    "<string>"
  ],
  "timezone": "<string>",
  "title": "<string>",
  "userName": "<string>",
  "userType": "<string>",
  "x509Certificates": [
    {
      "display": "<string>",
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Body

application/json
meta
object
required
active
boolean
addresses
object[]
displayName
string
emails
object[]
entitlements
object[]
externalId
string
groups
object[]
id
string
Required string length: 1 - 2147483647
ims
object[]
locale
string
name
object
nickName
string
password
string
phoneNumbers
object[]
photos
object[]
preferredLanguage
string
profileUrl
string
roles
object[]
schemas
string[]
Required array length: 1 - 2147483647 elements
timezone
string
title
string
userName
string
userType
string
x509Certificates
object[]

Response

User created successfully

meta
object
required
active
boolean
addresses
object[]
displayName
string
emails
object[]
entitlements
object[]
externalId
string
groups
object[]
id
string
Required string length: 1 - 2147483647
ims
object[]
locale
string
name
object
nickName
string
password
string
phoneNumbers
object[]
photos
object[]
preferredLanguage
string
profileUrl
string
roles
object[]
schemas
string[]
Required array length: 1 - 2147483647 elements
timezone
string
title
string
userName
string
userType
string
x509Certificates
object[]